Version: 3.5.8
Release: alt1
Name: emacs-mailcrypt
Copyright: GPL
Group: Editors
Url: http://mailcrypt.sourceforge.net/
Summary: The Emacs Mailcrypt Library
Summary(ru_RU.CP1251): Mailcrypt  Emacs

Source: mailcrypt-%{version}.tar.gz
Source1: mailcrypt-emacs.el

Requires: emacs-common

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common texinfo
BuildArch: noarch

%description
Mailcrypt is an Emacs Lisp package which provides a simple interface to 
public key cryptography with PGP [and now GnuPG!]. Mailcrypt makes strong 
cryptography a fully integrated part of your normal mail and news handling
environment, and is an important part of a balanced breakfast. 

%description -l ru_RU.CP1251
Mailcrypt    Emacs,    
       PGP [ GnuPG!]. Mailcrypt 
         
.

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n mailcrypt-%{version}

%build
./configure --prefix=%{_prefix}
make EMACS=emacs

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/mailcrypt
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/mailcrypt

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 mailcrypt.info* $RPM_BUILD_ROOT%{_infodir}

mkdirhier $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/mailcrypt.el

%clean

%post
cd %{_infodir}
install-info --dir-file=/etc/info-dir mailcrypt.info.gz

%preun
cd %{_infodir}
install-info --dir-file=/etc/info-dir --delete mailcrypt.info.gz 

%files
%defattr(-, root, root)
%doc README INSTALL ChangeLog NEWS ANNOUNCE README.gpg NEWS ONEWS
%{_infodir}/*
%{_emacslispdir}/mailcrypt/*.elc
/etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/mailcrypt/*.el

%changelog
* Thu Sep 26 2002 Ott Alex <ott@altlinux.ru> 3.5.8-alt1
- New version

* Sat Sep 07 2002 Ott Alex <ott@altlinux.ru> 3.5.7-alt1
- Initial build

